Subject: bug#32825: 27.0.50; Deterministic window management

From: martin rudalics <[email-masked]>
Date: Tue, 13 Nov 2018 10:09:14 +0100

> This is easy to fix, but I'm not sure if this might break some packages
 > that depend on TAGS buffers with original names.

That's what I thought too.

 > Maybe better to represent a list of prev/next buffers as a tree?
 > Then inserting a new buffer inside it will create a leaf that
 > can be ignored for navigation.  An analogy of this is undo-tree.

But then 'display-buffer-in-previous-window' would have to navigate a
tree and I would like to not make it too complicated because it may
have to consider "some" windows as possible candidates.
'switch-to-prev-buffer' OTOH has only one candidate window and can be
made a bit more complicated, if necessary.

martin